QWDCTL(1)

NAME
qwdctl - control qemu-web-desktop

DESCRIPTION
usage: qwdctl [help|download|refresh|status|start VM|stop|gpu|edit] ...

    controls the availability of virtual machines for the qemu-web-desktop/DARTS service. In addition, the status of the running sessions can be displayed and it is possible to start virtual machines manually and display them in a browser.

  Syntax:

    qwdctl --edit | --download | --start VM | --status

  OPTIONS:

--download|download|update

    scan the /etc/qemu-web-desktop/machines.conf file for [name.ext] and download them when URL are given. a 'refresh' is then performed. Virtual machine images are stored into /var/lib/qemu-web-desktop/machines.

--refresh|refresh

    scan the /etc/qemu-web-desktop/machines.conf file, and generate the /var/lib/qemu-web-desktop/machines.html that lists available images to show in the qemu-web-desktop main form.

--status|status

    list running sessions.

--start VM|start VM ...

    start the given VM or ISO file (full path) in a browser. Connect to it with the displayed URL. Further arguments are passed to the service (see config.pl and config.d/*.pl) e.g. --snapshot_alloc_mem=1 (in GB) and --snapshot_alloc_cpu=2. Changes are lost except when specifying option --snapshot_use_master=1, requiring write access. When running ISO's you may also specify --snapshot_alloc_disk=40 (in GB). Use 'qwdctl --start' to get the full list of default VM settings.

--stop|stop TOKEN

    stop sessions matching TOKEN. Some snapshot files may be left-over.

--gpu|gpu VENDOR:MODEL

    configure GPU for pass-through. The GPU_ids are e.g. '10de:1d01'

--gpu_unlock|gpu_unlock

    unlock/re-attach all GPU's to server (uninstall pass-through).

--edit|edit [machines|config|web]

    edit the VM/machine list, the service configuration file or the service web page. In the case of the VM list, the 'qwdctl download' command is triggered automatically after edit. Set the $EDITOR variable to select the text editor to use. In case the 'qwdctl edit machines' has no effect on the index.html service landing page, specify set 'machines_insert=yes' in qwdctl.

--version|version|-v

    show qemu-web-desktop version

--help|help|-h

    show this help

  AUTHOR:

    Written by Roland Mas and Emmanuel Farhi

  FILES:

    - /etc/qemu-web-desktop/config.pl

    - /etc/qemu-web-desktop/config.d/*.pl

    - /var/lib/qemu-web-desktop/machines

    - /usr/share/qemu-web-desktop/html/desktop

    - /usr/share/qemu-web-desktop/html/desktop/index.html

    - /etc/qemu-web-desktop/machines.conf. Entries should contain lines:

    [name.ext] description=<name of machine to appear in the form>

    In addition, any line with:

    url=<link>

    will retrieve the given file upon: qwdctl download Supported virtual machine formats: ISO, QCOW2, VDI, VMDK, RAW, VHD/VHDX, QED

    - /var/lib/qemu-web-desktop/machines.html

    - https://gitlab.com/soleil-data-treatment/soleil-software-projects/qemu-web-desktop

  ENVIRONMENT VARIABLES:

EDITOR
    Set the text editor to use, e.g. nano. Default is to use 'editor' or $EDITOR or 'edit'.

/home/experiences/grades/farhie/src/qemu-web-desktop.gitlab/src/cgi-bin/qemu-web-desktop.pl 26.01.08

AUTHOR
Written by Emmanuel Farhi <emmanuel.farhi@synchrotron-soleil.fr>

COPYRIGHT
Copyright © 2020- Synchrotron Soleil, AGPL3.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
The full documentation for qwdctl is maintained as a Texinfo manual. If the info and qwdctl programs are properly installed at your site, the command

    info qwdctl

should give you access to the complete manual.